// Next.js API route support: https://nextjs.org/docs/api-routes/introduction
import axios from 'axios';
import { Cookies } from 'react-cookie';
import cookie from 'cookie';
import moment from 'moment';
import jwt from 'jsonwebtoken';
import { cors } from '../../lib/cors';

export default async function handler(req, res) 
{
	await cors(req, res);

	if(req.headers.cookie !== undefined)
	{
		const cookies = cookie.parse(req.headers?.cookie ? req.headers?.cookie : "");

		if(cookies.jwt !== undefined && cookies.jwt !== null)
		{
			var client_jwt_decoded = jwt.verify(cookies.jwt, process.env.JWT_SECRET_CLIENT);
			var crm_jwt = jwt.sign(client_jwt_decoded, process.env.JWT_SECRET_CRM, { noTimestamp: true });

			try
			{
				axios.get(`${ process.env.CRM_API_HOST }/lk/Account/GetPaymentCalendar/`, {
					params: client_jwt_decoded, 
					headers: {
						"Authorization": `Bearer ${ crm_jwt }`, 
					} 
				})
				.then((crm_response) => 
				{
					res.status(200).json(crm_response.data);
				})
				.catch((error) => 
				{
					console.error(error);
					res.status(500);
				});
			}
			catch(e)
			{
				console.error(e);
				res.status(500);
			}
		}
		else
		{
			res.status(403);
		}
	}
}